Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map.event
Class QueryEvent

    java.lang.Object
      java.util.EventObject
          org.apache.cayenne.event.CayenneEvent
              org.apache.cayenne.map.event.MapEvent
                  org.apache.cayenne.map.event.QueryEvent

All Implemented Interfaces:
  Serializable

    public class QueryEvent

extends MapEvent

An event generated when a Query object is added to a DataMap, removed from a DataMap, or changed within a DataMap.

Since:
  1.1
See Also:
  Serialized Form

Field Summary
`protected DataMap` | `map` Data map containing the query
`protected Query` | `query`

Fields inherited from class org.apache.cayenne.map.event.MapEvent
`ADD, CHANGE, domain, id, oldName, oldNameSet, REMOVE`

Fields inherited from class org.apache.cayenne.event.CayenneEvent
`info, postedBy, subject`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`QueryEvent(Object source, Query query)`
`QueryEvent(Object source, Query query, DataMap map)` Creates a query event, specifying DataMap, containing the query
`QueryEvent(Object source, Query query, int type)`
`QueryEvent(Object source, Query query, int type, DataMap map)` Creates a query event, specifying DataMap, containing the query
`QueryEvent(Object source, Query query, String oldName)`
`QueryEvent(Object source, Query query, String oldName, DataMap map)` Creates a query event, specifying DataMap, containing the query

Method Summary
`DataMap` | `getDataMap()`
`String` | `getNewName()` Returns the newName of the object that caused this event.
`Query` | `getQuery()`
`void` | `setDataMap(DataMap map)` Sets DataMap, containing the query
`void` | `setQuery(Query query)`

Methods inherited from class org.apache.cayenne.map.event.MapEvent
`getDomain, getId, getOldName, isNameChange, setDomain, setId, setOldName`

Methods inherited from class org.apache.cayenne.event.CayenneEvent
`getInfo, getPostedBy, getSubject, setPostedBy, setSubject`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### query

    protected Query query

### map

    protected DataMap map

  Data map containing the query

Constructor Detail

### QueryEvent

    public QueryEvent(Object source,
                      Query query)

### QueryEvent

    public QueryEvent(Object source,
                      Query query,
                      String oldName)

### QueryEvent

    public QueryEvent(Object source,
                      Query query,
                      int type)

### QueryEvent

    public QueryEvent(Object source,
                      Query query,
                      DataMap map)

  Creates a query event, specifying DataMap, containing the query

### QueryEvent

    public QueryEvent(Object source,
                      Query query,
                      String oldName,
                      DataMap map)

  Creates a query event, specifying DataMap, containing the query

### QueryEvent

    public QueryEvent(Object source,
                      Query query,
                      int type,
                      DataMap map)

  Creates a query event, specifying DataMap, containing the query

Method Detail

### getNewName

    public String getNewName()

  Description copied from class: `MapEvent`
  Returns the newName of the object that caused this event.

  Specified by:
    `getNewName` in class `MapEvent`

### getQuery

    public Query getQuery()

### setQuery

    public void setQuery(Query query)

### getDataMap

    public DataMap getDataMap()

  Returns:
    DataMap, containing the query

### setDataMap

    public void setDataMap(DataMap map)

  Sets DataMap, containing the query

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.